# eric7.Project.ProjectBrowserSortFilterProxyModel

Module implementing the browser sort filter proxy model.

### Global Attributes

None

### Classes

ProjectBrowserSortFilterProxyModel | Class implementing the browser sort filter proxy model.

### Functions

None

## ProjectBrowserSortFilterProxyModel

Class implementing the browser sort filter proxy model.

### Derived from

BrowserSortFilterProxyModel

### Class Attributes

None

### Class Methods

None

### Methods

ProjectBrowserSortFilterProxyModel | Constructor
filterAcceptsRow | Public method to filter rows.
preferencesChanged | Public slot called to handle a change of the preferences settings.

### Static Methods

None

#### ProjectBrowserSortFilterProxyModel (Constructor)

ProjectBrowserSortFilterProxyModel(filterType, parent=None)

Constructor

filterType
  type of filter to apply
parent
  reference to the parent object (QObject)

#### ProjectBrowserSortFilterProxyModel.filterAcceptsRow

filterAcceptsRow(source_row, source_parent)

Public method to filter rows.

It implements a filter to suppress the display of non public classes, methods and attributes.

source_row
  row number (in the source model) of item (integer)
source_parent
  index of parent item (in the source model) of item (QModelIndex)

Return:
  flag indicating, if the item should be shown (boolean)

#### ProjectBrowserSortFilterProxyModel.preferencesChanged

preferencesChanged()

Public slot called to handle a change of the preferences settings.

Up